package com.siwei.rsmonitoring.service;

import com.siwei.rsmonitoring.domain.TDkGeomDb;
import com.siwei.spatial.api.domain.file.TGeomDb;

import java.util.List;

public interface ITDkGeomDbService {

    /**
     * 查询空间入库存储列表
     *
     * @param tGeomDb 空间入库存储
     * @return 空间入库存储集合
     */
    public List<TDkGeomDb> selectTDkGeomDbList(TDkGeomDb tGeomDb);

    /**
     * 新增空间入库存储
     *
     * @param tDkGeomDb 空间入库存储
     * @return 结果
     */
    public int insertTDkGeomDb(TDkGeomDb tDkGeomDb);

    /**
     * 下发空间入库存储
     *
     * @param id
     * @return
     */
    public int issueTDkGeomDb(String id);


    public int deleteTDkGeomDbByIds(String[] ids);
}
